net.corda.flows

## Class NotaryError.Conflict

- net.corda.flows.NotaryError
- - net.corda.flows.NotaryError.Conflict

- Enclosing class:
    NotaryError

      public static class NotaryError.Conflict
      extends NotaryError

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.flows.NotaryError

      `NotaryError.Conflict, NotaryError.SignaturesInvalid, NotaryError.SignaturesMissing, NotaryError.TimestampInvalid, NotaryError.TransactionInvalid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Conflict(SecureHash txId, SignedData<net.corda.core.node.services.UniquenessProvider.Conflict> conflict)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignedData<net.corda.core.node.services.UniquenessProvider.Conflict>` | `getConflict()`
    `SecureHash` | `getTxId()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Conflict

          public Conflict(SecureHash txId,
                          SignedData<net.corda.core.node.services.UniquenessProvider.Conflict> conflict)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getTxId

          public SecureHash getTxId()

    - #### getConflict

          public SignedData<net.corda.core.node.services.UniquenessProvider.Conflict> getConflict()